%bcond_without	doc
#
Summary:	Mailboxes synchronization tool
Summary(pl.UTF-8):	Narzędzie do synchroniczacji skrzynek pocztowych
Name:		offlineimap
Version:	7.0.8
Release:	1
License:	GPL v2
Group:		Applications/Mail
Source0:	http://github.com/OfflineIMAP/%{name}/archive/v%{version}.tar.gz?/%{name}-%{version}.tar.gz
# Source0-md5:	50bbf1aadfdcd8beab9b9f11f1e5c5bb
Patch0:		%{name}-docs.patch
URL:		https://offlineimap.org
BuildRequires:	rpm-pythonprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with doc}
BuildRequires:	docutils
BuildRequires:	sphinx-pdg-2
%endif
Requires:	python-modules-sqlite
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OfflineIMAP is a tool to simplify your e-mail reading. With
OfflineIMAP, you can read the same mailbox from multiple computers.
You get a current copy of your messages on each computer, and changes
you make one place will be visible on all other systems. For instance,
you can delete a message on your home computer, and it will appear
deleted on your work computer as well. OfflineIMAP is also useful if
you want to use a mail reader that does not have IMAP support, has
poor IMAP support, or does not provide disconnected operation.

%description -l pl.UTF-8
OfflineIMAP to narzędzie upraszczające czytanie poczty elektronicznej.
Za jego pomocą można czytać tą samą skrzynkę z wielu komputerów.
Pobiera się aktualną kopię wiadomości na każdym komputerze, a zmiany
dokonywane w jednym miejscu będą widoczne na wszystkich innych
systemach. Na przyklad, można usunąć wiadomość na swoim domowym
komputerze i zostanie ona usunięta także na komputerze w pracy.
OfflineIMAP jest przydatne także jeśli chcemy używać czytnika poczty
bez obsługi IMAP, z kiepską obsługą IMAP albo nie działającego bez
połączenia.

%prep
%setup -q
%patch0 -p1

%build
%if %{with doc}
%{__make} -C docs SPHINXBUILD=%{_bindir}/sphinx-build-2
%endif

%install
rm -rf $RPM_BUILD_ROOT
%py_install

find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" | xargs rm
install %{name}.py $RPM_BUILD_ROOT%{_bindir}/%{name}

%if %{with doc}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_mandir}/man7}
install docs/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
install docs/offlineimapui.7 $RPM_BUILD_ROOT%{_mandir}/man7
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CONTRIBUTING.rst Changelog.md MAINTAINERS.rst README.md offlineimap.conf*
%if %{with doc}
%doc docs/html/*.html
%{_mandir}/man1/offlineimap.1*
%{_mandir}/man7/offlineimapui.7*
%endif
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/%{name}
%{py_sitescriptdir}/*.egg-info
%changelog
* Sat Oct 08 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/offlineimap.git;a=log;h=master

* Sat Oct 08 2016 Jan Palus <atler@pld-linux.org> 4dd9c23
- up to 7.0.8

* Wed Sep 21 2016 Jan Palus <atler@pld-linux.org> 8b91e0f
- up to 7.0.7

* Sun Aug 21 2016 Jan Palus <atler@pld-linux.org> 79bc031
- up to 7.0.6

* Wed Aug 10 2016 Jan Palus <atler@pld-linux.org> cec148f
- up to 7.0.5

* Tue Aug 02 2016 Jan Palus <atler@pld-linux.org> 0b2f281
- up to 7.0.4

* Tue Aug 02 2016 Jan Palus <atler@pld-linux.org> c5468a3
- up to 7.0.4

* Fri Mar 11 2016 Jan Palus <atler@pld-linux.org> 7267b3c
- up to 6.7.0

* Fri Jan 01 2016 Jan Palus <atler@pld-linux.org> b8cd35b
- up to 6.6.1

* Fri Dec 11 2015 Jan Palus <atler@pld-linux.org> a6ef58f
- try to use new %py_install macro

* Fri Dec 11 2015 Jan Palus <atler@pld-linux.org> d171efe
- switch to sphinx-pdg-2 after split

* Fri Dec 11 2015 Jan Palus <atler@pld-linux.org> 3ba1b71
- up to 6.6.0

* Sat May 16 2015 Jan Palus <atler@pld-linux.org> 381c4c5
- up to 6.5.7

* Tue Nov 25 2014 Jan Palus <atler@pld-linux.org> 935ed8a
- added upstream patch for incorrect way of adding new header in case of
  missing uidplus cap (fixes move with davmail server)
- rel 2

* Sun May 25 2014 Jan Palus <atler@pld-linux.org> f0f0184
- up to 6.5.6

* Sun Oct 06 2013 Jan Palus <jan.palus@gmail.com> a987a4f
- up to 6.5.5

* Sun Jul 21 2013 Jan Palus <jan.palus@gmail.com> 983f56e
- update source url to new offical github project
- adjust md5 / source root

* Sun Jun 24 2012 Jan Palus <jan.palus@gmail.com> 8cae614
- up to 6.5.4

* Sat Mar 03 2012 Jan Palus <jan.palus@gmail.com> a1fd63a
- up to 6.5.2.1

* Mon Jan 30 2012 Jan Palus <jan.palus@gmail.com> ac2e463
- up to 6.5.2
- update url
- suggest python-sqlite for sqlite backend
- toggle doc bcond, works again
- package MANUAL.html

* Sun Aug 14 2011 Jan Palus <jan.palus@gmail.com> 175c242
- updated

